%bcond_with bootstrap
%global packname  strucchange
%global rlibdir  %{_libdir}/R/library

Name:             R-%{packname}
Version:          1.4_6
Release:          2
Summary:          Testing, Monitoring, and Dating Structural Changes
Group:            Sciences/Mathematics
License:          GPL-2
URL:              http://cran.r-project.org/web/packages/%{packname}/index.html
Source0:          http://cran.r-project.org/src/contrib/%{packname}_1.4-6.tar.gz
Requires:         R-graphics R-stats R-zoo R-sandwich R-graphics R-stats 
%if %{with bootstrap}
Requires:         R-lmtest R-car R-e1071 R-tseries R-foreach 
%else
Requires:         R-lmtest R-car R-dynlm R-e1071 R-tseries R-foreach 
%endif
BuildRequires:    R-devel Rmath-devel texlive-collection-latex R-graphics
BuildRequires:    R-stats R-zoo R-sandwich R-graphics R-stats
%if %{with bootstrap}
BuildRequires:    R-lmtest R-car R-e1071 R-tseries R-foreach
%else
BuildRequires:    R-lmtest R-car R-dynlm R-e1071 R-tseries R-foreach
%endif

%description
Testing, monitoring and dating structural changes in (linear) regression
models. strucchange features tests/methods from the generalized
fluctuation test framework as well as from the F test (Chow test)
framework. This includes methods to fit, plot and test fluctuation
processes (e.g., CUSUM, MOSUM, recursive/moving estimates) and F
statistics, respectively. It is possible to monitor incoming data online
using fluctuation processes. Finally, the breakpoints in regression models
with structural changes can be estimated together with confidence
intervals. Emphasis is always given to methods for visualizing the data.

%prep
%setup -q -c -n %{packname}

%build

%install
mkdir -p %{buildroot}%{rlibdir}
%{_bindir}/R CMD INSTALL -l %{buildroot}%{rlibdir} %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -f %{buildroot}%{rlibdir}/R.css

%if %{without bootstrap}
%check
%{_bindir}/R CMD check %{packname}
%endif

%files
%dir %{rlibdir}/%{packname}
%doc %{rlibdir}/%{packname}/doc
%doc %{rlibdir}/%{packname}/html
%doc %{rlibdir}/%{packname}/CITATION
%doc %{rlibdir}/%{packname}/DESCRIPTION
%doc %{rlibdir}/%{packname}/NEWS
%{rlibdir}/%{packname}/INDEX
%{rlibdir}/%{packname}/NAMESPACE
%{rlibdir}/%{packname}/Meta
%{rlibdir}/%{packname}/R
%{rlibdir}/%{packname}/data
%{rlibdir}/%{packname}/demo
%{rlibdir}/%{packname}/help


%changelog
* Wed Feb 22 2012 Paulo Andrade <pcpa@mandriva.com.br> 1.4_6-2
+ Revision: 778811
- Rebuild with proper dependencies

* Sun Feb 19 2012 Paulo Andrade <pcpa@mandriva.com.br> 1.4_6-1
+ Revision: 777246
- Import R-strucchange
- Import R-strucchange

